/**
 * WorkPlaceAddressUse2.java
 *
 * File generated from the medication2::WorkPlaceAddressUse2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration WorkPlaceAddressUse2.
 *
 * 
 */

@XmlType(name = "WorkPlaceAddressUse")
@XmlEnum
@XmlRootElement(name = "WorkPlaceAddressUse2")
public enum WorkPlaceAddressUse2 {
	@XmlEnumValue("WP")
	WP("WP"),
	@XmlEnumValue("DIR")
	DIR("DIR"),
	@XmlEnumValue("PUB")
	PUB("PUB");
	
	private final String value;

    WorkPlaceAddressUse2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static WorkPlaceAddressUse2 fromValue(String v) {
        for (WorkPlaceAddressUse2 c: WorkPlaceAddressUse2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
